package me.km.module;

import me.hammerle.snuviscript.code.Script;
import me.hammerle.snuviscript.config.SnuviConfig;

public class SimpleConfig extends SnuviConfig
{                   
    public SimpleConfig(Module m, String path, String name, boolean load)
    {    
        super((String message, Exception ex, String function, String scriptname, Script sc, int line) -> 
        {
            m.sendToConsole("error in config '" + name + "'");
            if(message != null)
            {
                m.sendListElementToConsole(message);
            }
            if(ex != null)
            {
                m.sendListElementToConsole(ex.getClass().getSimpleName());
            }
            if(function != null)
            {
                m.sendHelpListElementToConsole("function", function);
            }
            if(line != -1)
            {
                m.sendHelpListElementToConsole("line", function);
            }
        }, path, name);
        
        if(load && exists())
        {
            load();
        }
    }   
    
    public SimpleConfig(Module m, Script sc, String path, String name, boolean load)
    {
        super(sc, path, name);
        if(load && exists())
        {
            load();
        }
    }
}
