package me.km.scoreboard;

import java.util.HashMap;
import java.util.UUID;
import net.minecraft.entity.player.EntityPlayerMP;

public class ScoreboardUtils
{
    private final static HashMap<UUID, PlayerScoreboard> BOARDS = new HashMap<>();

    public static void remove(UUID uuid)
    {
        BOARDS.remove(uuid);
    }
    
    public static void update()
    {
        BOARDS.values().removeIf(ps -> ps.update());
    }
    
    public static PlayerScoreboard get(EntityPlayerMP p)
    {
        PlayerScoreboard data = BOARDS.get(p.getUniqueID());
        if(data == null)
        {
            data = new PlayerScoreboard(p);
            BOARDS.put(p.getUniqueID(), data);
            return data;
        }
        return data;
    }
}
