package me.km.snuviscript;

import me.hammerle.snuviscript.code.ISnuviLogger;
import me.hammerle.snuviscript.code.Script;
import me.km.KajetansMod;
import me.km.module.Module;
import me.km.chatchannel.ChatChannel;

public class SnuviLogger implements ISnuviLogger
{
    @Override
    public void print(String message, Exception ex, String function, String scriptname, Script sc, int line) 
    {
        if(KajetansMod.debugMode || (sc != null && sc.isStackTracePrinted()))
        {
            Module m = KajetansMod.scripts;
            if(scriptname != null)
            {
                if(sc != null)
                {
                    m.sendWarningToConsole("error in '" + scriptname + "' " + sc.getId());
                }
                else
                {
                    m.sendWarningToConsole("error in '" + scriptname + "'");
                }
            }
            if(message != null)
            {
                m.sendHelpListElementToConsole("message", message);
            }
            if(ex != null)
            {
                m.sendHelpListElementToConsole("exception", ex.getClass().getSimpleName());
                m.sendHelpListElementToConsole("exception", ex.getMessage());
            }
            if(function != null)
            {
                m.sendHelpListElementToConsole("function", function);
            }
            if(line != -1)
            {
                m.sendHelpListElementToConsole("Zeile", String.valueOf(line));
            }
        }
        
        ChatChannel dev = ChatChannel.getDevChannel();
        if(scriptname != null)
        {
            if(sc != null)
            {
                dev.sendWarning("error in '" + scriptname + "' " + sc.getId());
            }
            else
            {
                dev.sendWarning("error in '" + scriptname + "'");
            }
        }
        if(message != null)
        {
            dev.sendList("message", message);
        }
        if(ex != null)
        {
            dev.sendList("exception", ex.getClass().getSimpleName());
            dev.sendList("exception", ex.getMessage());
        }
        if(function != null)
        {
            dev.sendList("function", function);
        }
        if(line != -1)
        {
            dev.sendList("Zeile", String.valueOf(line));
        }
    }
}
